<#macro getViewLanguageTitle tempView>
  <#if tempView.isPSDEView()>
    $t('entities.${tempView.getPSAppDataEntity().getCodeName()?lower_case}.views.${tempView.getPSDEViewCodeName()?lower_case}.title')<#t>
  <#else>
    $t('app.views.${tempView.getCodeName()?lower_case}.title')<#t>
  </#if>
</#macro>

<#-- 获取导航上下文 -->
<#macro getNavigateContext currentItem>
{<#t>
  <#if currentItem.getPSNavigateContexts?? && currentItem.getPSNavigateContexts()??>
  <#list currentItem.getPSNavigateContexts() as navContext>
  ${navContext.getKey()}:<#if navContext.isRawValue()?? && navContext.isRawValue() == true>"${navContext.getValue()}"<#else>"%${navContext.getValue()}%"</#if><#if navContext_has_next>,</#if><#t>
  </#list>
  </#if>
}<#t>
</#macro>

<#-- 获取导航参数 -->
<#macro getNavigateParams currentItem>
{<#t>
<#if currentItem.getPSNavigateParams?? && currentItem.getPSNavigateParams()??>
<#list currentItem.getPSNavigateParams() as navParam >
${navParam.getKey()}:<#if navParam.isRawValue()?? && navParam.isRawValue() == true>"${navParam.getValue()}"<#else>"%${navParam.getValue()}%"</#if><#if navParam_has_next>,</#if><#t>
</#list>
</#if>
}<#t>
</#macro>

<#-- 属性值规则 -->
<#macro getDeRule condItem>
                  {
                      type:"<#if condItem.getCondType?? && condItem.getCondType()??>${condItem.getCondType()}</#if>",
                      <#if condItem.getParamValue?? && condItem.getParamValue()??>
                      paramValue:"${condItem.getParamValue()}",
                      </#if>
                      <#if condItem.getParamType?? && condItem.getParamType()??>
                      paramType:"${condItem.getParamType()}",
                      </#if>
                      <#if condItem.isNotMode?? && condItem.isNotMode()??>
                      isNotMode:${condItem.isNotMode()?c},
                      </#if>
                      <#if condItem.getRegExCode?? && condItem.getRegExCode()??>
                      RegExCode:/${condItem.getRegExCode()}/,
                      </#if>
                      <#if condItem.getMaxValue?? && condItem.getMaxValue()??>
                      maxValue:${condItem.getMaxValue()?c},
                      </#if>
                      <#if condItem.getMinValue?? && condItem.getMinValue()??>
                      minValue:${condItem.getMinValue()?c},
                      </#if>
                      <#if condItem.getDEFName?? && condItem.getDEFName()??>
                      deName:"${condItem.getDEFName()?lower_case}",
                      </#if>
                      condOP:"<#if condItem.getCondOp?? && condItem.getCondOp()??>${condItem.getCondOp()}</#if>",
                      ruleInfo:"<#if condItem.getRuleInfo?? && condItem.getRuleInfo()??>${condItem.getRuleInfo()}</#if>", 
                      group:[
                      <#if condItem.getCondType?? && condItem.getCondType()?? && condItem.getCondType() == 'GROUP'>
                        <#if condItem.getPSDEFVRConditions?? && condItem.getPSDEFVRConditions()??>
                          <#list condItem.getPSDEFVRConditions() as group_item>
                                <@getDeRule group_item />
                          </#list>
                        </#if>
                      </#if>
                      ]
                  },
</#macro>